# frozen_string_literal: true

require('thor')
require('krkt/bigquery')
require('krkt/client')
require('krkt/kraken')
require('krkt/version')

# @author Hernani Rodrigues Vaz
module Krkt
  class Error < ::StandardError; end

  # classe para carregar/mostrar dados transacoes kraken no bigquery
  class CLI < Thor
    desc 'work', 'carrega transacoes novas no bigquery'
    option :h, type: :hash, default: {}, desc: 'configuracao ajuste reposicionamento temporal'
    # carrega transacoes novas no bigquery
    def work
      Bigquery.new(options).processa
    end

    desc 'show', 'mostra resumo saldos & transacoes'
    option :v, type: :boolean, default: false, desc: 'mostra transacoes'
    option :t, type: :boolean, default: false, desc: 'mostra transacoes todas ou somente novas'
    # mostra resumo saldos & transacoes
    def show
      Bigquery.new(options).transacoes.mostra_resumo
    end

    default_task :show
  end
end
